Package org.apache.nutch.scoring.webgraph

## Class LinkDumper.Merger

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,​LinkDumper.LinkNode,​Text,​LinkDumper.LinkNodes>
  - - org.apache.nutch.scoring.webgraph.LinkDumper.Merger

- Enclosing class:
    LinkDumper

      public static class LinkDumper.Merger
      extends Reducer<Text,​LinkDumper.LinkNode,​Text,​LinkDumper.LinkNodes>

  Merges LinkNode objects into a single array value per url. This allows all values to be quickly retrieved and printed via the Reader tool.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Merger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reduce​(Text key, Iterable<LinkDumper.LinkNode> values, Reducer.Context context)` | Aggregate all LinkNode objects for a given url.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Merger

          public Merger()

  - ### Method Detail

    - #### reduce

          public void reduce​(Text key,
                             Iterable<LinkDumper.LinkNode> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Aggregate all LinkNode objects for a given url.
      Overrides:
        `reduce` in class `Reducer<Text,​LinkDumper.LinkNode,​Text,​LinkDumper.LinkNodes>`
      Throws:
        `IOException`
        `InterruptedException`